nl.tudelft.simulation.examples.dsol.terminal

## Interface IntResourceRequestorInterface<A extends Comparable<A>,R extends Number & Comparable<R>,T extends nl.tudelft.simulation.dsol.simtime.SimTime<A,R,T>>

Type Parameters:
  `A` - the absolute time type to use in timed events
  `R` - the relative time type
  `T` - the simulation time type.

All Known Implementing Classes:
  Container

    public interface IntResourceRequestorInterface<A extends Comparable<A>,R extends Number & Comparable<R>,T extends nl.tudelft.simulation.dsol.simtime.SimTime<A,R,T>>

This interface provides a callback method to the resource. Whenever resource is available this method is invoked on the requestor.

(c) 2002-2018 Delft University of Technology , the Netherlands.
See for project information www.simulation.tudelft.nl
License of use: Lesser General Public License (LGPL) , no warranty.

Since:
  1.5
Version:
  $Revision: 1.2 $ $Date: 2010/08/10 11:36:45 $
Author:
  Peter Jacobs

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `receiveRequestedResource(int requestedCapacity, IntResource<A,R,T> resource)` receive the requested resource.
`void` `receiveRequestedResource(long requestedCapacity, IntResource<A,R,T> resource)` receive the requested resource.

### Method Detail

#### receiveRequestedResource

    void receiveRequestedResource(long requestedCapacity,
                                  IntResource<A,R,T> resource)
                           throws RemoteException

receive the requested resource.

Parameters:
  `requestedCapacity` - reflects the amount requested.
  `resource` - the requested resource.
Throws:
  `RemoteException` - on network failure.

#### receiveRequestedResource

    default void receiveRequestedResource(int requestedCapacity,
                                          IntResource<A,R,T> resource)
                                   throws RemoteException

receive the requested resource.

Parameters:
  `requestedCapacity` - reflects the amount requested.
  `resource` - the requested resource.
Throws:
  `RemoteException` - on network failure.